> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /craigslist/postings/search

> Search Craigslist postings in any of its regional sites: for each result returns title, price, posting date, location with coordinates, images and category-specific details such as odometer, bedrooms, square footage, salary or event dates. Supports the full filter surface of the site, including vehicle, motorcycle, boat, housing, job, gig and event facets.

**Price:** 20 credits per 360 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/craigslist/postings/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/craigslist/postings/search:
    post:
      tags:
        - /craigslist
      summary: /craigslist/postings/search
      description: >-
        Search Craigslist postings in any of its regional sites: for each result
        returns title, price, posting date, location with coordinates, images
        and category-specific details such as odometer, bedrooms, square
        footage, salary or event dates. Supports the full filter surface of the
        site, including vehicle, motorcycle, boat, housing, job, gig and event
        facets.


        **Price:** 20 credits per 360 results
      operationId: __api_craigslist_postings_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CraigslistPostingsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CraigslistPostingCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CraigslistPostingsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        area:
          type: string
          minLength: 1
        count:
          type: integer
          maximum: 10000
          minimum: 1
        category:
          type: string
          default: sss
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        subarea:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/CraigslistSort'
          default: newest
        postal:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        lon:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        radius:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        free:
          type: boolean
          default: false
        purveyor:
          anyOf:
            - $ref: '#/components/schemas/CraigslistPurveyor'
            - type: 'null'
        titles_only:
          type: boolean
          default: false
        has_image:
          type: boolean
          default: false
        posted_today:
          type: boolean
          default: false
        hide_duplicates:
          type: boolean
          default: false
        crypto_ok:
          type: boolean
          default: false
        delivery_available:
          type: boolean
          default: false
        language:
          items:
            $ref: '#/components/schemas/CraigslistLanguage'
          type: array
          default: []
        condition:
          items:
            $ref: '#/components/schemas/CraigslistCondition'
          type: array
          default: []
        make_model:
          anyOf:
            - type: string
            - type: 'null'
        min_auto_year:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_auto_year:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_auto_miles:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_auto_miles:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_monthly_payment:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_monthly_payment:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        transmission:
          items:
            $ref: '#/components/schemas/CraigslistTransmission'
          type: array
          default: []
        drivetrain:
          items:
            $ref: '#/components/schemas/CraigslistDrivetrain'
          type: array
          default: []
        fuel_type:
          items:
            $ref: '#/components/schemas/CraigslistFuelType'
          type: array
          default: []
        title_status:
          items:
            $ref: '#/components/schemas/CraigslistTitleStatus'
          type: array
          default: []
        body_type:
          items:
            $ref: '#/components/schemas/CraigslistBodyType'
          type: array
          default: []
        paint:
          items:
            $ref: '#/components/schemas/CraigslistPaint'
          type: array
          default: []
        cylinders:
          items:
            $ref: '#/components/schemas/CraigslistCylinders'
          type: array
          default: []
        min_engine_displacement_cc:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_engine_displacement_cc:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        street_legal:
          type: boolean
          default: false
        motorcycle_motor:
          items:
            $ref: '#/components/schemas/CraigslistMotorcycleMotor'
          type: array
          default: []
        motorcycle_type:
          items:
            $ref: '#/components/schemas/CraigslistMotorcycleType'
          type: array
          default: []
        min_boat_length:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_boat_length:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_year_manufactured:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_year_manufactured:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        boat_propulsion:
          items:
            $ref: '#/components/schemas/CraigslistBoatPropulsion'
          type: array
          default: []
        boat_type:
          items:
            $ref: '#/components/schemas/CraigslistBoatType'
          type: array
          default: []
        min_bedrooms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_bedrooms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        min_bathrooms:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_bathrooms:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        max_sqft:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        housing_features:
          items:
            $ref: '#/components/schemas/CraigslistHousingFeature'
          type: array
          default: []
        rent_period:
          items:
            $ref: '#/components/schemas/CraigslistRentPeriod'
          type: array
          default: []
        availability:
          anyOf:
            - $ref: '#/components/schemas/CraigslistAvailability'
            - type: 'null'
        housing_type:
          items:
            $ref: '#/components/schemas/CraigslistHousingType'
          type: array
          default: []
        laundry:
          items:
            $ref: '#/components/schemas/CraigslistLaundry'
          type: array
          default: []
        parking:
          items:
            $ref: '#/components/schemas/CraigslistParking'
          type: array
          default: []
        employment_type:
          items:
            $ref: '#/components/schemas/CraigslistEmploymentType'
          type: array
          default: []
        is_internship:
          type: boolean
          default: false
        is_nonprofit:
          type: boolean
          default: false
        is_telecommuting:
          type: boolean
          default: false
        is_paid:
          anyOf:
            - $ref: '#/components/schemas/CraigslistPaid'
            - type: 'null'
        lost_or_found:
          items:
            $ref: '#/components/schemas/CraigslistLostFound'
          type: array
          default: []
        event_types:
          items:
            $ref: '#/components/schemas/CraigslistEventType'
          type: array
          default: []
      type: object
      required:
        - area
        - count
    CraigslistPostingCard:
      properties:
        '@type':
          type: string
          default: CraigslistPostingCard
        id:
          type: string
        posting_id:
          type: integer
        posting_title:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_string:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        monthly_payment_string:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        category_alias:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/CraigslistPostingLocation'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          type: integer
          default: 0
        bedrooms:
          anyOf:
            - type: number
            - type: 'null'
        sqft:
          anyOf:
            - type: number
            - type: 'null'
        auto_miles:
          anyOf:
            - type: number
            - type: 'null'
        salary:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        open_house_dates:
          items:
            type: string
          type: array
          default: []
        event_dates:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - posting_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CraigslistSort:
      type: string
      enum:
        - newest
        - oldest
        - price_asc
        - price_desc
        - distance
        - relevance
        - upcoming
    CraigslistPurveyor:
      type: string
      enum:
        - all
        - owner
        - dealer
    CraigslistLanguage:
      type: string
      enum:
        - afrikaans
        - catala
        - dansk
        - deutsch
        - english
        - espanol
        - suomi
        - francais
        - italiano
        - nederlands
        - norsk
        - portugues
        - svenska
        - filipino
        - turkce
        - chinese
        - arabic
        - japanese
        - korean
        - russian
        - vietnamese
    CraigslistCondition:
      type: string
      enum:
        - new
        - like_new
        - excellent
        - good
        - fair
        - salvage
    CraigslistTransmission:
      type: string
      enum:
        - manual
        - automatic
        - other
    CraigslistDrivetrain:
      type: string
      enum:
        - fwd
        - rwd
        - 4wd
    CraigslistFuelType:
      type: string
      enum:
        - gas
        - diesel
        - hybrid
        - electric
        - other
    CraigslistTitleStatus:
      type: string
      enum:
        - clean
        - salvage
        - rebuilt
        - parts_only
        - lien
        - missing
    CraigslistBodyType:
      type: string
      enum:
        - bus
        - convertible
        - coupe
        - hatchback
        - minivan
        - offroad
        - pickup
        - sedan
        - truck
        - suv
        - wagon
        - van
        - other
    CraigslistPaint:
      type: string
      enum:
        - black
        - blue
        - brown
        - green
        - grey
        - orange
        - purple
        - red
        - silver
        - white
        - yellow
        - custom
    CraigslistCylinders:
      type: string
      enum:
        - '3'
        - '4'
        - '5'
        - '6'
        - '8'
        - '10'
        - '12'
        - other
    CraigslistMotorcycleMotor:
      type: string
      enum:
        - gas
        - electric
        - other
    CraigslistMotorcycleType:
      type: string
      enum:
        - adventure
        - bobber
        - cafe_racer
        - chopper
        - cruiser
        - dirtbike
        - dual_sport
        - scooter_moped
        - sport_bike
        - sport_touring
        - standard
        - touring
        - trike
        - other
    CraigslistBoatPropulsion:
      type: string
      enum:
        - sail
        - power
        - human
    CraigslistBoatType:
      type: string
      enum:
        - commercial_boat
        - houseboat
        - kayak_canoe_sup
        - luxury_classic_yacht
        - personal_watercraft
        - pontoon_boat
        - powerboat
        - rowboat
        - rowing_shell
        - sailboat
        - ski_boat
        - small_outboard_fishing
        - trawler
        - other
    CraigslistHousingFeature:
      type: string
      enum:
        - cats_ok
        - dogs_ok
        - furnished
        - no_smoking
        - wheelchair_accessible
        - air_conditioning
        - ev_charging
        - no_broker_fee
        - no_application_fee
        - private_room
        - private_bath
    CraigslistRentPeriod:
      type: string
      enum:
        - daily
        - weekly
        - monthly
    CraigslistAvailability:
      type: string
      enum:
        - all
        - within_30_days
        - beyond_30_days
    CraigslistHousingType:
      type: string
      enum:
        - apartment
        - condo
        - cottage_cabin
        - duplex
        - flat
        - house
        - in_law
        - loft
        - townhouse
        - manufactured
        - assisted_living
        - land
    CraigslistLaundry:
      type: string
      enum:
        - in_unit
        - hookups
        - in_building
        - on_site
        - none
    CraigslistParking:
      type: string
      enum:
        - carport
        - attached_garage
        - detached_garage
        - off_street
        - street
        - valet
        - none
    CraigslistEmploymentType:
      type: string
      enum:
        - full_time
        - part_time
        - contract
        - employees_choice
    CraigslistPaid:
      type: string
      enum:
        - all
        - paid
        - unpaid
    CraigslistLostFound:
      type: string
      enum:
        - lost
        - found
    CraigslistEventType:
      type: string
      enum:
        - food_drink
        - competition
        - tech
        - festival
        - sustainability
        - art_film
        - singles
        - fitness_health
        - career
        - outdoor
        - sale
        - free
        - music
        - charitable
        - dance
        - kid_friendly
        - literary
    CraigslistPostingLocation:
      properties:
        '@type':
          type: string
          default: CraigslistPostingLocation
        area_id:
          anyOf:
            - type: integer
            - type: 'null'
        area_alias:
          anyOf:
            - type: string
            - type: 'null'
        subarea_alias:
          anyOf:
            - type: string
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````